# Lookup addresses from geo location

Send a bulk request to lookup addresses from geo location.

Endpoint: POST /doLookup

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Request fields (application/json):

  - `CustomerId` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `Latitude` (string, required)
    Required. The latitude geographic coordinate in decimal format.

  - `Longitude` (string, required)
    Required. The longitude geographic coordinate in decimal format.

  - `MaxDistance` (string)
    The requested maximum distance in miles. The maximum value is 10. Default is 10.

  - `MaxRecords` (string)
    The requested number of records. The maximum value is 100. Default is 100.

  - `Options` (string)
    [Options](https://docs.melissa.com/cloud-api/reverse-geocoder/reverse-geocoder-reference-guide.html#options) - Specify which options to use for the selected action. List of options in : format. Multiple options are delimited with a ,.

For example: OptionName:Parameter,OptionName:Parameter.
- IncludeApartments: - This option allows you to include records with a non-null baseMAK. Default of Off will not include non-null baseMAK records.
- IncludeEmptyLots: - This option allows you to specify if you want to include addresses that are empty lots in your search. Default of Off will not include empty lots.
- IncludeUndeliverable: - This option allows you to specify if you want to include addresses we have identified as unable to deliver mail to. Default of On will include undeliverable addresses.

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Reverse GeoCoder Result Codes](https://docs.melissa.com/cloud-api/personator-search/result-codes.html).

  - `Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [Reverse GeoCoder Result Codes](https://docs.melissa.com/cloud-api/personator-search/result-codes.html).

  - `TotalRecords` (integer)
    Total number of records.

  - `Records` (array)

  - `Records.AddressLine1` (string)
    The street address.

  - `Records.SuiteName` (string)
    The suite name of the address returned.

  - `Records.SuiteCount` (string)
    The number of suites in a particular building.

  - `Records.City` (string)
    The city of the output address.

  - `Records.State` (string)
    The state of the output address.

  - `Records.PostalCode` (string)
    The postal code of the output address.

  - `Records.AddressKey` (string)
    A unique identifier for an address. This key can be used with other current and future Melissa Data services.

  - `Records.Latitude` (string)
    The latitude geographic coordinate of the output address.

  - `Records.Longitude` (string)
    The longitude geographic coordinate of the output address.

  - `Records.Distance` (string)
    The distance in miles between the input coordinates and the output coordinates.

  - `Records.MelissaAddressKey` (string)
    The Melissa Address Key (MAK). This is a globally unique and persistent key for the location, even if parts of the address change. When an address is fully validated this field returns a 10-digit proprietary key for the address.

  - `Records.MelissaAddressKeyBase` (string)
    The Melissa Address Key Base (BaseMAK). Every full address has its own Melissa Address Key (MAK). If that address is a suite or apartment, we will also return a Melissa Address Key Base (BaseMAK) that corresponds to the overall building.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


